# Class MetalComboBoxIcon

java.lang.Object
javax.swing.plaf.metal.MetalComboBoxIcon

All Implemented Interfaces:
  `Serializable, Icon`

public class MetalComboBoxIcon extends Object implements Icon, Serializable
This utility class draws the horizontal bars which indicate a MetalComboBox

See Also:
  - `MetalComboBoxUI`

## Constructor Summary

Constructors
Constructor
Description
`MetalComboBoxIcon()`
Constructs a `MetalComboBoxIcon`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
Created a stub to satisfy the interface.
`int`
`getIconWidth()`
Created a stub to satisfy the interface.
`void`
`paintIcon(Component c, Graphics g, int x, int y)`
Paints the horizontal bars for the

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### MetalComboBoxIcon

public MetalComboBoxIcon()
Constructs a `MetalComboBoxIcon`.

## Method Details

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)
Paints the horizontal bars for the

Specified by:
  `paintIcon` in interface `Icon`
Parameters:
  `c` - a `Component` to get properties useful for painting
  `g` - the graphics context
  `x` - the X coordinate of the icon's top-left corner
  `y` - the Y coordinate of the icon's top-left corner

### getIconWidth

public int getIconWidth()
Created a stub to satisfy the interface.

Specified by:
  `getIconWidth` in interface `Icon`
Returns:
  an int specifying the fixed width of the icon.

### getIconHeight

public int getIconHeight()
Created a stub to satisfy the interface.

Specified by:
  `getIconHeight` in interface `Icon`
Returns:
  an int specifying the fixed height of the icon.